Freeciv-3.2: view Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
view Struct Reference

`#include <mapview_common.h>`

## Data Fields

float | gui_x0
float | gui_y0
int | width
int | height
int | tile_width
int | tile_height
int | store_width
int | store_height
bool | can_do_cached_drawing
struct canvas * | store
struct canvas * | tmp_store

## Detailed Description

Definition at line 36 of file mapview_common.h.

## Field Documentation

## ◆ can_do_cached_drawing

bool view::can_do_cached_drawing

Definition at line 41 of file mapview_common.h.

Referenced by base_set_mapview_origin(), map_canvas_resized(), and mapdeco_init().

## ◆ gui_x0

float view::gui_x0

Definition at line 37 of file mapview_common.h.

Referenced by base_canvas_to_map_pos(), base_set_mapview_origin(), calc_mapview_origin(), center_tile_overviewcanvas(), minimap_view::draw_viewport(), editor_end_selection_rectangle(), get_mapview_scroll_pos(), map_canvas_resized(), redraw_overview(), minimap_view::scale_point(), scroll_mapview(), set_mapview_origin(), show_city_descriptions(), show_tile_labels(), tile_to_canvas_pos(), unscale_point(), and update_map_canvas().

## ◆ gui_y0

float view::gui_y0

Definition at line 37 of file mapview_common.h.

Referenced by base_canvas_to_map_pos(), base_set_mapview_origin(), calc_mapview_origin(), center_tile_overviewcanvas(), minimap_view::draw_viewport(), editor_end_selection_rectangle(), get_mapview_scroll_pos(), map_canvas_resized(), redraw_overview(), minimap_view::scale_point(), scroll_mapview(), set_mapview_origin(), show_city_descriptions(), show_tile_labels(), tile_to_canvas_pos(), unscale_point(), and update_map_canvas().

## ◆ height

int view::height

Definition at line 38 of file mapview_common.h.

Referenced by base_set_mapview_origin(), center_tile_mapcanvas(), center_tile_overviewcanvas(), minimap_view::draw_viewport(), get_center_tile_mapcanvas(), get_mapview_scroll_window(), leave_mapcanvas(), map_canvas_resized(), minimap_view::mouseMoveEvent(), hud_battle_log::moveEvent(), overview_size_changed(), redraw_overview(), fc_game_tab_widget::resizeEvent(), minimap_view::resizeEvent(), minimap_view::scale_point(), scroll_mapview(), tile_to_canvas_pos(), tile_visible_and_not_on_border_mapcanvas(), unqueue_mapview_updates(), unscale_point(), zoom_1_0(), and zoom_set().

## ◆ store

struct canvas* view::store

Definition at line 42 of file mapview_common.h.

Referenced by base_set_mapview_origin(), battle_animation(), decrease_unit_hp_smooth(), draw_segment(), draw_selection_rectangle(), draw_trade_route_line(), explosion_animation(), flush_mapcanvas(), free_mapcanvas_and_overview(), gui_flush(), link_mark_draw(), map_canvas_draw(), map_canvas_draw(), map_canvas_resized(), move_unit_map_canvas(), movement_animation(), nuke_animation(), map_view::paint(), put_nuke_mushroom_pixmaps(), mr_menu::save_image(), show_city_descriptions(), show_tile_labels(), and update_map_canvas().

## ◆ store_height

int view::store_height

Definition at line 40 of file mapview_common.h.

Referenced by base_set_mapview_origin(), can_do_cached_drawing(), map_canvas_resized(), tile_to_canvas_pos(), unqueue_mapview_updates(), update_city_descriptions(), and update_map_canvas().

## ◆ store_width

int view::store_width

Definition at line 40 of file mapview_common.h.

Referenced by base_set_mapview_origin(), can_do_cached_drawing(), map_canvas_resized(), tile_to_canvas_pos(), unqueue_mapview_updates(), update_city_descriptions(), and update_map_canvas().

## ◆ tile_height

int view::tile_height

Definition at line 39 of file mapview_common.h.

Referenced by map_canvas_resized().

## ◆ tile_width

int view::tile_width

Definition at line 39 of file mapview_common.h.

Referenced by map_canvas_resized().

## ◆ tmp_store

struct canvas * view::tmp_store

Definition at line 42 of file mapview_common.h.

Referenced by base_set_mapview_origin(), decrease_unit_hp_smooth(), free_mapcanvas_and_overview(), map_canvas_resized(), move_unit_map_canvas(), and update_map_canvas().

## ◆ width

int view::width

Definition at line 38 of file mapview_common.h.

Referenced by base_set_mapview_origin(), center_tile_mapcanvas(), center_tile_overviewcanvas(), create_line_at_mouse_pos(), minimap_view::draw_viewport(), get_center_tile_mapcanvas(), get_mapview_scroll_window(), leave_mapcanvas(), map_canvas_resized(), minimap_view::mouseMoveEvent(), hud_battle_log::moveEvent(), overview_size_changed(), popupinfo_positioning_callback(), redraw_overview(), fc_game_tab_widget::resizeEvent(), minimap_view::resizeEvent(), minimap_view::scale_point(), scroll_mapview(), tile_to_canvas_pos(), tile_visible_and_not_on_border_mapcanvas(), unqueue_mapview_updates(), unscale_point(), zoom_1_0(), and zoom_set().